package de.apps4ics.mountainnavigation.pois;

/**
 * Created by Vinz on 03.11.2015.
 */
public class Lift extends Poi {
    DbGeoPoint end;
    long endGpId;
    String name;

    public Lift(long _id) {
        super(_id, Types.LIFT);
    }
    public Lift(){
        super(Types.LIFT);
    }
    public Lift(long _id, String name, DbGeoPoint start, DbGeoPoint end){
        super(_id, Types.LIFT, start);
        this.name = name;
        this.end = end;
        this.endGpId = end.getId();
    }

    public long getStartGpId() {
        return gpId;
    }

    public DbGeoPoint getStartGp(){
        return gp;
    }

    public long getEndGpId() {
        return endGpId;
    }

    public DbGeoPoint getEndGp(){
        return end;
    }

    public String getName() {
        return name;
    }
}
